## GORotationSel

GORotationSel

## Synopsis

                        GORotationSel;
    int                 go_rotation_sel_get_rotation        (GORotationSel const *rs);
    GtkWidget *         go_rotation_sel_new                 (void);
    GtkWidget *         go_rotation_sel_new_full            (void);
    void                go_rotation_sel_set_rotation        (GORotationSel *rs,
                                                             int degrees);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GORotationSel

## Implemented Interfaces

GORotationSel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Signals

      "rotation-changed"                               : Run Last

## Description

## Details

### GORotationSel

    typedef struct _GORotationSel GORotationSel;

### go_rotation_sel_get_rotation ()

    int                 go_rotation_sel_get_rotation        (GORotationSel const *rs);

### go_rotation_sel_new ()

    GtkWidget *         go_rotation_sel_new                 (void);

### go_rotation_sel_new_full ()

    GtkWidget *         go_rotation_sel_new_full            (void);

### go_rotation_sel_set_rotation ()

    void                go_rotation_sel_set_rotation        (GORotationSel *rs,
                                                             int degrees);

## Signal Details

### The `"rotation-changed"` signal

    void                user_function                      (GORotationSel *gorotationsel,
                                                            gint           arg1,
                                                            gpointer       user_data)          : Run Last

`gorotationsel` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.